Index: extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php
===================================================================
--- extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 4715)
+++ extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 4879)
@@ -2,61 +2,61 @@
 global $lang ;
 //========================================================================================================
-$lang['Fonctionality']='Fonctionnalités';
+$lang['Sv_Fonctionality']='Fonctionnalités';
 
-$lang['Oversees_management_emails']='Supervise la gestion des mails et bloque l\' envoie des mails lors de la mise en quarantaine';	
-$lang['hlp_1_1']='Compte le nombre de mails envoyés par le site.';
-$lang['hlp_1_2']='Détecte les différents messages d\'alertes générés par la fonction mail[]';
-$lang['hlp_1_3']='Compte le nombre de mails considéré par le FAI comme spams.';
-$lang['hlp_1_4']='Mise en quarantaine si le nombre de mails envoyés est supérieur à la valeur maxi défini par période prédéterminée.';
-$lang['hlp_1_5']='Mise en quarantaine si le nombre de spams détectés est supérieur à la valeur maxi défini par période prédéterminée.';
-$lang['hlp_1_6']='Mise en quarantaine si détection de "TROP DE SPAMS" pour une période déterminée.';
+$lang['Sv_Oversees_management_emails']='Supervise la gestion des mails et bloque l\' envoie des mails lors de la mise en quarantaine';	
+$lang['Sv_hlp_1_1']='Compte le nombre de mails envoyés par le site.';
+$lang['Sv_hlp_1_2']='Détecte les différents messages d\'alertes générés par la fonction mail[]';
+$lang['Sv_hlp_1_3']='Compte le nombre de mails considéré par le FAI comme spams.';
+$lang['Sv_hlp_1_4']='Mise en quarantaine si le nombre de mails envoyés est supérieur à la valeur maxi défini par période prédéterminée.';
+$lang['Sv_hlp_1_5']='Mise en quarantaine si le nombre de spams détectés est supérieur à la valeur maxi défini par période prédéterminée.';
+$lang['Sv_hlp_1_6']='Mise en quarantaine si détection de "TROP DE SPAMS" pour une période déterminée.';
 //========================================================================================================
-$lang['Options']='Options';
+$lang['Sv_Options']='Options';
 
-$lang['hlp_2_1']='Envoie une copie du mail au Webmaster..';
-$lang['hlp_2_2']='Modifie la structure des destnataires en copie carbonne si défaut \'bad syntax\'';
-$lang['hlp_2_3']='Si la version piwigo est inférieur à 2.0.5, rajoute un bloc texte dans l\' entête de mail. ';
+$lang['Sv_hlp_2_1']='Envoie une copie du mail au Webmaster..';
+$lang['Sv_hlp_2_2']='Modifie la structure des destnataires en copie carbonne si défaut \'bad syntax\'';
+$lang['Sv_hlp_2_3']='Si la version piwigo est inférieur à 2.0.5, rajoute un bloc texte dans l\' entête de mail. ';
 
 //========================================================================================================
-$lang['Options']='Options';
+$lang['Sv_Options']='Options';
 
-$lang['hlp_3_1']='Nombre d\' envoie depuis la dernière remise à zéro.';
-$lang['hlp_3_2']='Date du premier envoie.';
-$lang['hlp_3_3']='Nombre d\' envois avant la mise en quarantaine.';
-$lang['hlp_3_4']='Durée pendant laquelle l\'envoie des mails est possible';
+$lang['Sv_hlp_3_1']='Nombre d\' envoie depuis la dernière remise à zéro.';
+$lang['Sv_hlp_3_2']='Date du premier envoie.';
+$lang['Sv_hlp_3_3']='Nombre d\' envois avant la mise en quarantaine.';
+$lang['Sv_hlp_3_4']='Durée pendant laquelle l\'envoie des mails est possible';
 
-$lang['hlp_3_4_0']='<br />Format possible: <br />
-   n '.$lang['Week'].'<br />
-   n '.$lang['Day'].'<br />
-   n '.$lang['Hour'].'<br />
-   n '.$lang['Minute'].'<br />
-   n '.$lang['Seconde'].'<br />
+$lang['Sv_hlp_3_4_0']='<br />Format possible: <br />
+   n '.$lang['Sv_Week'].'<br />
+   n '.$lang['Sv_Day'].'<br />
+   n '.$lang['Sv_Hour'].'<br />
+   n '.$lang['Sv_Minute'].'<br />
+   n '.$lang['Sv_Seconde'].'<br />
  n étant le nombre de (semaine,jour,heure,minute,seconde) '
 ;
 
-$lang['hlp_3_5']='Durée restante avant la remise à zéro du compteur.';
+$lang['Sv_hlp_3_5']='Durée restante avant la remise à zéro du compteur.';
 
-$lang['state']='Etat';
+$lang['Sv_state']='Etat';
 
-$lang['hlp_4_1']='Date limite de la mise en quarantaine.';
-$lang['hlp_4_2']='Durée restante avant l\' anulation de la mise en quarantaine.';
+$lang['Sv_hlp_4_1']='Date limite de la mise en quarantaine.';
+$lang['Sv_hlp_4_2']='Durée restante avant l\' anulation de la mise en quarantaine.';
 	 
-$lang['last_message']='Dernier message renvoyé.';
-$lang['hlp_5_1']='Dernier message renvoyé par la fonction mail() en cas d\'erreur.';
+$lang['Sv_last_message']='Dernier message renvoyé.';
+$lang['Sv_hlp_5_1']='Dernier message renvoyé par la fonction mail() en cas d\'erreur.';
 
 
 //====================================================================== 
-$lang['hlp_7_1']='Ce module permet de créer une liste noire contenant les adresses IP indésirables.<br />
+$lang['Sv_hlp_7_1']='Ce module permet de créer une liste noire contenant les adresses IP indésirables.<br />
           ' ;	
-$lang['hlp_7_1_1']='Option 1 Bloque l\' émission de mail si l\' adresse IP est dans la liste noire. <br />
+$lang['Sv_hlp_7_1_1']='Option 1 Bloque l\' émission de mail si l\' adresse IP est dans la liste noire. <br />
 		  ' ;	
-$lang['hlp_7_1_2']='Option 2 Rejet de l\' adresse IP .<br />
+$lang['Sv_hlp_7_1_2']='Option 2 Rejet de l\' adresse IP .<br />
 		  ' ;	
-$lang['hlp_7_1_3']='Option 3 A chaque nouvelle connexion, le module teste l\'adresses IP et la compare à une base de données de Spammeurs, et l\' insere automatiquement dans la liste noire si le test est positif.<br />
+$lang['Sv_hlp_7_1_3']='Option 3 A chaque nouvelle connexion, le module teste l\'adresses IP et la compare à une base de données de Spammeurs, et l\' insere automatiquement dans la liste noire si le test est positif.<br />
 		   Un compteur dans cette liste indique le nombre de tentative de connexion.<br />
 		   Des informations sur le pays et la ville du FAI sont également stockées.<br />
 		   
 		   		' ;	
-$lang['hlp_7_2']= 'Ajout manuel des adresses indésirables.<br />
+$lang['Sv_hlp_7_2']= 'Ajout manuel des adresses indésirables.<br />
 		   
 				  Les jockers (*) pour remplacer un groupe d\'adresse  sont autorisés.<br />
@@ -67,7 +67,7 @@
 				  
 		' ;	
-$lang['hlp_7_3']= ' Cliquez ici pour vérifier si l\'adresse IP ou le nom de l\'utilisateur ou l\'adresse courriel introduit dans le champs texte est dans la base de donnée de stopforumspam.Les jockers ne sont pas admis. Pour plus de renseignements voir http://www.stopforumspam.com' ;	
+$lang['Sv_hlp_7_3']= ' Cliquez ici pour vérifier si l\'adresse IP ou le nom de l\'utilisateur ou l\'adresse courriel introduit dans le champs texte est dans la base de donnée de stopforumspam.Les jockers ne sont pas admis. Pour plus de renseignements voir http://www.stopforumspam.com' ;	
 
-$lang['hlp_7_4']= ' Si vous décidez de bloquer cette adresse cliquez ici où sur l\'icône \'ajout\' pour mettre à jour la liste noire .<BR />
+$lang['Sv_hlp_7_4']= ' Si vous décidez de bloquer cette adresse cliquez ici où sur l\'icône \'ajout\' pour mettre à jour la liste noire .<BR />
 	 
 ' ;	
Index: extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4715)
+++ extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4879)
@@ -1,76 +1,99 @@
 <?php
 global $lang ;
-$lang['version'] = ' Version  :';
-$lang['fai'] = $lang['username'];
-$lang['not_a_spam'] = 'N\'est pas dans la base de données de "stopforumspam".';
-$lang['Verif'] = 'Vérification.';
-$lang['no_mail_list'] = 'Bloque l\' émission de mail si l\' adresse IP est dans la liste noire.';
-$lang['no_connect'] = 'Empêche l\' adresse IP de se connecter au site.';
-$lang['set_auto'] = 'Enregistre automatiquement l\' adresse IP dans la liste noire si elle existe dans la base de données de "stopforumspam" .';
-$lang['set_id'] = 'Lors de l\'enregistrement du nouvel utilisateur, vérifie que l\' adresse mail n\'est pas dans la base de données de "stopforumspam" .';
-$lang['unset_black_list'] = 'Supprime de la liste noire';
-$lang['set_black_list'] = 'Mise sur la liste noire';
-$lang['is_a_spam'] = 'Spammeur détecté!.';
-$lang['is_a_login_spam'] = ': Je suis désolé mais ce login est interdit!.';
-$lang['Ajout'] = 'Ajouter à la liste noire.';
-$lang['valider'] = ' ';
-$lang['IP_adress'] = 'Votre adresse IP';
-$lang['liste_ip']="Liste des IP (historique)";
-$lang['black_liste']="Liste noire des IP";
-$lang['blackliste']="Liste noire";
-
-$lang['state'] = 'Etat';
-$lang['refresh'] = 'Rafraîchir';
-$lang['no_receiver_available'] = 'Il n\'y a pas de destinataire sélectionné.';
+//===================================================
+$lang['Sv_Week'] = 'semaine';
+$lang['Sv_Day'] = 'jour';
+$lang['Sv_Hour'] = 'heure';
+$lang['Sv_Minute'] = 'minute';
+$lang['Sv_Seconde'] = 'seconde';
 
 
-$lang['mail_sent_to'] = 'Mail envoyé à %s.';
-$lang['mail_not_send'] = 'Le mail n\'a pas été envoyé.';
-$lang['message_to_send'] = 'Message a envoyer.';
-$lang['verifiez_les_destinataires']='Vérifiez les destinataires:';
-$lang['detection_de']='Détection de :';
-$lang['Tab_set'] ='Initialisation';
-$lang['Tab_test'] ='Test';
-$lang['Tab_help'] ='Aide';
+$lang['Sv_n_'.l10n('Sv_Week')]= (7*24*60*60);
+$lang['Sv_n_'.l10n('Sv_Day')]= (24*60*60);
+ $lang['Sv_n_'.l10n('Sv_Hour')]=  (60*60) ;
+ $lang['Sv_n_'.l10n('Sv_Minute')]=   60 ;
+ $lang['Sv_n_'.l10n('Sv_Seconde')]= 1;
+ 
+  $lang['Sv_Datas'] =  'Datas' ; 
+ $lang['Sv_Group'] = $lang['Group']; 
+ $lang['Sv_mail_content'] =  $lang['mail_content'];
+ $lang['Sv_options'] =   'Options' ;
+  $lang['Sv_raz'] =  'raz' ; 
+    $lang['Sv_Quarantaine'] =  'Quarantaine' ; 
+	 $lang['Sv_config'] =  'Configuration' ; 
+	 
+$lang['Sv_rest'] = 'Reste';	 
+$lang['Sv_iP_list'] = 'Liste des IP'; 
+$lang['Sv_iP_adress'] = 'IP adresse';
+$lang['Sv_Test'] = 'Test';
+$lang['Sv_Valider'] = 'Valider';
+$lang['Sv_version'] = ' Version  :';
+$lang['Sv_fai'] = $lang['Sv_username'];
+$lang['Sv_not_a_spam'] = 'N\'est pas dans la base de données de "stopforumspam".';
+$lang['Sv_Verif'] = 'Vérification.';
+$lang['Sv_no_mail_list'] = 'Bloque l\' émission de mail si l\' adresse IP est dans la liste noire.';
+$lang['Sv_no_connect'] = 'Empêche l\' adresse IP de se connecter au site.';
+$lang['Sv_set_auto'] = 'Enregistre automatiquement l\' adresse IP dans la liste noire si elle existe dans la base de données de "stopforumspam" .';
+$lang['Sv_set_id'] = 'Lors de l\'enregistrement du nouvel utilisateur, vérifie que l\' adresse mail n\'est pas dans la base de données de "stopforumspam" .';
+$lang['Sv_unset_black_list'] = 'Supprime de la liste noire';
+$lang['Sv_set_black_list'] = 'Mise sur la liste noire';
+$lang['Sv_is_a_spam'] = 'Spammeur détecté!.';
+$lang['Sv_is_a_login_spam'] = ': Je suis désolé mais ce login est interdit!.';
+$lang['Sv_Ajout'] = 'Ajouter à la liste noire.';
 
-$lang['Howto'] = 'Gestion des parametres de surveillance d\' envoie des mails.';
-$lang['free_admin_titre'] = 'Administration de '.$lang['supervisor'];
-$lang['free_admin_description'] = 'Dernier message renvoyé. ';
-$lang['mail_superv_save_config'] = 'Données sauvegardées';
+$lang['Sv_list'] = 'Liste';
+$lang['Sv_IP_adress'] = 'Votre adresse IP';
+$lang['Sv_liste_ip']="Liste des IP (historique)";
+$lang['Sv_black_liste']="Liste noire des IP";
+$lang['Sv_blackliste']="Liste noire";
 
-$lang['check_mailto'] = 'Envoyer une copie vers le WebMaster.';
-$lang['check_header_carbon'] = 'Modifier le code  Bcc , Ccc   dans le header';
-$lang['check_header_text'] = 'Ajouter un bloc "texte" dans l\'entête du mail.';
+$lang['Sv_state'] = 'Etat';
+$lang['Sv_refresh'] = 'Rafraîchir';
+$lang['Sv_no_receiver_available'] = 'Il n\'y a pas de destinataire sélectionné.';
 
-$lang['free_admin'] = 'Exclure l\'administrateur des envoies.';
-$lang['free_guest'] = 'Exclure le guest des des envoies.';
 
-$lang['periode'] = 'Période';
+$lang['Sv_mail_sent_to'] = 'Mail envoyé à %s.';
+$lang['Sv_mail_not_send'] = 'Le mail n\'a pas été envoyé.';
+$lang['Sv_message_to_send'] = 'Message a envoyer.';
+$lang['Sv_verifiez_les_destinataires']='Vérifiez les destinataires:';
+$lang['Sv_detection_de']='Détection de :';
+$lang['Sv_Tab_set'] ='Initialisation';
+$lang['Sv_Tab_test'] ='Test';
+$lang['Sv_Tab_help'] ='Aide';
 
-$lang['free_mails'] = ' mails ';
-$lang['free_depuis_le'] = ' depuis le :';
-$lang['free_spams'] = ' spams ';
-$lang['free_nb'] = ' Nombre ';
-$lang['free_nb_maxi'] = ' Nombre maxi ';
-$lang['free_quarantaine'] = 'Vous êtes en quarantaine jusqu\'au : ';
-$lang['free_heures'] = ' Heures ';
-$lang['free_date'] = ' Date : ';
-$lang['free_valid "%s"'] = ' Valide :  "%s" !';
-$lang['free_message "%s"'] = ' Erreur : <br /> "%s"  <br />!';
-$lang['supervisor'] = 'Superviseur de MAILS';
+$lang['Sv_Howto'] = 'Gestion des parametres de surveillance d\' envoie des mails.';
+$lang['Sv_admin_titre'] = 'Administration de '.$lang['Sv_supervisor'];
+$lang['Sv_admin_description'] = 'Dernier message renvoyé. ';
+$lang['Sv_save_config'] = 'Données sauvegardées';
+$lang['Sv_syntax_error'] = 'Erreur de syntaxe. ';
+$lang['Sv_check_mailto'] = 'Envoyer une copie vers le WebMaster.';
+$lang['Sv_check_header_carbon'] = 'Modifier le code  Bcc , Ccc   dans le header';
+$lang['Sv_check_header_text'] = 'Ajouter un bloc "texte" dans l\'entête du mail.';
+
+$lang['Sv_admin'] = 'Exclure l\'administrateur des envoies.';
+$lang['Sv_guest'] = 'Exclure le guest des des envoies.';
+
+$lang['Sv_periode'] = 'Période';
+
+$lang['Sv_mails'] = ' mails ';
+$lang['Sv_depuis_le'] = ' depuis le :';
+$lang['Sv_spams'] = ' spams ';
+$lang['Sv_nb'] = ' Nombre ';
+$lang['Sv_nb_maxi'] = ' Nombre maxi ';
+$lang['Sv_quarantaine'] = 'Vous êtes en quarantaine jusqu\'au : ';
+$lang['Sv_heures'] = ' Heures ';
+$lang['Sv_date'] = ' Date : ';
+$lang['Sv_valid "%s"'] = ' Valide :  "%s" !';
+$lang['Sv_message "%s"'] = ' Erreur : <br /> "%s"  <br />!';
+$lang['Sv_supervisor'] = 'Superviseur de MAILS';
 //========================================================================
-$lang['To_day_is'] = 'Nous sommes le:'.date('d-M-Y H:i:s') ; 
+$lang['Sv_To_day_is'] = 'Nous sommes le:'.date('d-M-Y H:i:s') ; 
  
 
-$lang['Week'] = 'semaine';
-$lang['Day'] = 'jour';
-$lang['Hour'] = 'heure';
-$lang['Minute'] = 'minute';
-$lang['Seconde'] = 'seconde';
 
 
-$lang['formatdate'] = 'd-M-Y H:i:s';  
+$lang['Sv_formatdate'] = 'd-M-Y H:i:s';  
 
-$lang['mise_en_quarantaine %s %s %s %s %s'] = '
+$lang['Sv_mise_en_quarantaine %s %s %s %s %s'] = '
 							MISE EN QUARANTAINE !<br />'.
 							'Nombre de %s envoyés  : %s  <br />'.
@@ -80,5 +103,5 @@
 	
 
-$lang['alerte_mail %s %s %s %s %s'] = '
+$lang['Sv_alerte_mail %s %s %s %s %s'] = '
                     		ALERTE !!! DANGER DE MISE EN QUARANTAINE PAR VOTRE FAI <br />'.
 							'Vous avez dépassé le nombre de mails admissibles par période. <br />'.
@@ -88,5 +111,5 @@
   							' Le        %s <br />' ;
 					
-$lang['debug_message %s %s %s %s %s']=	'<br />---- La fonction mail à retourné [%s]  ------
+$lang['Sv_debug_message %s %s %s %s %s']=	'<br />---- La fonction mail à retourné [%s]  ------
 		            -------- MESSAGE erreur : -------------
 		           [ %s ] 
@@ -98,5 +121,5 @@
 					';
 					
-$lang['message_texte %s %s %s %s'] ='
+$lang['Sv_message_texte %s %s %s %s'] ='
  %s
 	      Bonjour   "%s"  ,