Index: /branches/2.0/language/es_ES/common.lang.php
===================================================================
--- /branches/2.0/language/es_ES/common.lang.php	(revision 4890)
+++ /branches/2.0/language/es_ES/common.lang.php	(revision 4891)
@@ -48,7 +48,7 @@
 $lang['%d waiting elements'] = '%d elementos en espera';
 $lang['About'] = 'Acerca de';
-$lang['All tags must match'] = 'Todos los tags deben coincidir';
-$lang['All tags'] = 'Todos los tags';
-$lang['Any tag'] = 'Cualquier tag';
+$lang['All tags must match'] = 'Todos las etiquetas deben coincidir';
+$lang['All tags'] = 'Todas las etiquetas';
+$lang['Any tag'] = 'Cualquier etiqueta';
 $lang['At least one listed rule must be satisfied.'] = 'Debe elegir al menos una de las reglas que se listan.';
 $lang['At least one tag must match'] = 'Debe coincidir al menos una de las etiquetas';
@@ -92,5 +92,5 @@
 $lang['New password sent by email'] = 'Nueva contraseña enviada por correo electrónico';
 $lang['No email address'] = 'Ninguna dirección electrónica';
-$lang['No user matches this email address'] = 'Falta cumplimentar la electrónica no corresponde a ningún usuario';
+$lang['No user matches this email address'] = 'Falta cumplimentar la direccíon electrónica no corresponde a ningún usuario';
 $lang['Notification'] = 'Notificación RSS';
 $lang['Number of items'] = 'Número de artículos';
@@ -106,18 +106,18 @@
 $lang['Register'] = 'Regístrese';
 $lang['Registration'] = 'Registro';
-$lang['Related tags'] = 'Tags relacionados';
+$lang['Related tags'] = 'Etiquetas relacionadas';
 $lang['Reset'] = 'Anular';
 $lang['Retrieve password'] = 'Recuperar la contraseña';
 $lang['Search rules'] = 'Criterios de búsqueda';
-$lang['Search tags'] = 'Buscar tags';
+$lang['Search tags'] = 'Buscar etiquetas';
 $lang['Search'] = 'Búsqueda avanzada';
-$lang['See available tags'] = 'Ver los tags disponibles';
+$lang['See available tags'] = 'Ver las etiquetas disponibles';
 $lang['Send new password'] = 'Enviar una nueva contraseña';
 $lang['Since'] = 'Desde';
 $lang['Sort by'] = 'Clasificar según';
 $lang['Sort order'] = 'Orden de Clasificación';
-$lang['Tag'] = 'Tag';
-$lang['Tags'] = 'Tags';
-$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Mediante RSS puede recibir notificación de los cambios que tienen lugar en la galería: nuevas imágenes, categorías, etc. Para suscribirse, haga clic en uno de los siguientes enlaces.';
+$lang['Tag'] = 'Etiqueta';
+$lang['Tags'] = 'Etiquetas';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'Mediante RSS puede recibir notificación de los cambios que tienen lugar en la galería: nuevas imágenes, categorías, etc. Para registrarse, haga clic en uno de los siguientes enlaces.';
 $lang['Unknown feed identifier'] = 'Identificador de RSS desconocido';
 $lang['User comments'] = 'Comentarios del usuario';
@@ -131,5 +131,5 @@
 $lang['add_favorites_hint'] = 'Agregar a los favoritos';
 $lang['admin'] = 'Administración';
-$lang['adviser_mode_enabled'] = 'Modo de recomendaciones activo';
+$lang['adviser_mode_enabled'] = 'Modo de consejero activo';
 $lang['all'] = 'todo';
 $lang['ascending'] = 'ascendiente';
@@ -140,10 +140,10 @@
 $lang['became available between %s (%s) and %s (%s)'] = 'disponible entre él %s (%s) y el %s (%s)';
 $lang['became available on %s'] = 'disponible el %s';
-$lang['best_rated_cat'] = 'Mejor valoradas';
+$lang['best_rated_cat'] = 'Mejor valoracion';
 $lang['best_rated_cat_hint'] = 'mostrar las imagenes mejor valoradas';
 $lang['caddie'] = 'Carrito';
 $lang['calendar'] = 'Calendario';
 $lang['calendar_any'] = 'Todo';
-$lang['calendar_hint'] = 'Muestra cada día con imágenes, mes a mes';
+$lang['calendar_hint'] = 'Visualizacíon año por año,  mes por mes, día , ';
 $lang['calendar_picture_hint'] = 'Mostrar las imágenes añadidas el';
 $lang['calendar_view'] = 'Vista';
@@ -308,5 +308,5 @@
 $lang['upload_advise_width'] = 'La anchura de la imagen no debe sobrepasar los: ';
 $lang['upload_author'] = 'Autor';
-$lang['upload_cannot_upload'] = 'Imposible trasladar el fichero sobre el camarero(servidor)';
+$lang['upload_cannot_upload'] = 'Imposible trasladar el fichero sobre el servidor';
 $lang['upload_err_username'] = 'Indique el nombre de usuario';
 $lang['upload_file_exists'] = 'Ya existe otra imagen con el mismo nombre';