Index: extensions/upload_form/include/upload.js
===================================================================
--- extensions/upload_form/include/upload.js	(revision 4887)
+++ extensions/upload_form/include/upload.js	(revision 4895)
@@ -9,5 +9,5 @@
   if (upload_slots <= upload_limit) {
     new_slot = document.createElement("p");
-    new_slot.innerHTML = "<input  class='file' type='file' name='image_upload[]' size='70' />";
+    new_slot.innerHTML = "<input  class='file' type='file' name='image_upload[]' size='60' />";
     document.getElementById("uploadBoxes").appendChild(new_slot);
   }
Index: extensions/upload_form/language/en_UK/plugin.lang.php
===================================================================
--- extensions/upload_form/language/en_UK/plugin.lang.php	(revision 4887)
+++ extensions/upload_form/language/en_UK/plugin.lang.php	(revision 4895)
@@ -40,2 +40,4 @@
 $lang['Everybody'] = 'Everybody';
 $lang['Who can see these photos?'] = 'Who can see these photos?';
+$lang['... or switch to the old style form'] = '... or switch to the old style form';
+$lang['... or switch to the multiple files form'] = '... or switch to the multiple files form';
Index: extensions/upload_form/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/upload_form/language/fr_FR/plugin.lang.php	(revision 4887)
+++ extensions/upload_form/language/fr_FR/plugin.lang.php	(revision 4895)
@@ -40,2 +40,4 @@
 $lang['Everybody'] = 'Tout le monde';
 $lang['Who can see these photos?'] = 'Qui peut voir ces photos ?';
+$lang['... or switch to the old style form'] = '... ou passer sur le formulaire "à l\'ancienne"';
+$lang['... or switch to the multiple files form'] = '... ou passer sur le formulaire multi-fichier';
Index: extensions/upload_form/upload.php
===================================================================
--- extensions/upload_form/upload.php	(revision 4887)
+++ extensions/upload_form/upload.php	(revision 4895)
@@ -344,7 +344,21 @@
   );
 
+$upload_modes = array('html', 'multiple');
+
+$upload_mode = 'multiple';
+$upload_switch = 'html';
+if (isset($_GET['upload_mode']) and in_array($_GET['upload_mode'], $upload_modes))
+{
+  $index_of_upload_mode = array_flip($upload_modes);
+  $upload_mode_index = $index_of_upload_mode[ $_GET['upload_mode'] ];
+
+  $upload_mode = $_GET['upload_mode'];
+  $upload_switch = $upload_modes[ ($upload_mode_index + 1) % 2 ];
+}
+
 $template->assign(
     array(
-      'upload_mode' => 'multiple',
+      'upload_mode' => $upload_mode,
+      'switch_url' => $admin_base_url.'&upload_mode='.$upload_switch,
       'upload_id' => md5(rand()),
       'session_id' => session_id(),
@@ -394,5 +408,5 @@
 // image level options
 $tpl_options = array();
-foreach ($conf['available_permission_levels'] as $level)
+foreach (array_reverse($conf['available_permission_levels']) as $level)
 {
   $label = null;
@@ -423,5 +437,5 @@
     }
     
-    $label = implode(', ', array_reverse($labels));
+    $label = implode(', ', $labels);
   }
   $tpl_options[$level] = $label;
Index: extensions/upload_form/upload.tpl
===================================================================
--- extensions/upload_form/upload.tpl	(revision 4887)
+++ extensions/upload_form/upload.tpl	(revision 4895)
@@ -9,5 +9,4 @@
     $("#category_type_"+$(this).attr("value")).show();
   });
-
 });
 </script>
@@ -25,5 +24,5 @@
 var session_id = '{$session_id}';
 var pwg_token = '{$pwg_token}';
-var buttonText = '{"Select files"|@translate}';
+var buttonText = 'Browse';
 
 {literal}
@@ -68,8 +67,33 @@
   text-align:center;
 }
+
+.category_selection {
+  min-height:65px;
+  margin-top:5px;
+}
+
+.category_selection TABLE {
+  margin:0;
+}
+
+.formField {
+  width:650px;
+  margin:0 auto 20px auto;
+  padding:10px;
+  border: 2px solid #292929;
+}
+
+.formFieldTitle {
+  font-weight:bold;
+  margin-bottom:10px;
+}
+
+.formField P {
+  margin:0;
+}
 </style>
 {/literal}
 
-<div class="titrePage">
+<div class="titrePage" style="height:0">
   <h2>{'Upload Form'|@translate}</h2>
 </div>
@@ -107,65 +131,62 @@
     <legend>{'Upload Photos'|@translate}</legend>
 
-    <table>
-      <tr>
-        <th>{'Drop into category'|@translate}</th>
-        <td>
-          <label><input type="radio" name="category_type" value="existing" checked="checked"> {'existing category'|@translate}</label>
-          <label><input type="radio" name="category_type" value="new"> {'create a new category'|@translate}</label>
-
-          <div id="category_type_existing">
-            <select class="categoryDropDown" name="category">
-              {html_options options=$category_options}
-            </select>
-          </div>
-
-          <div id="category_type_new" style="display:none">
-            <table>
-              <tr>
-                <td>{'Parent category'|@translate}</td>
-                <td>
-                  <select class="categoryDropDown" name="category_parent">
-                    <option value="0">------------</option>
-                    {html_options options=$category_options}
-                  </select>
-                </td>
-              </tr>
-              <tr>
-                <td>{'Category name'|@translate}</td>
-                <td>
-                  <input type="text" name="category_name" value="{$F_CATEGORY_NAME}"
-                </td>
-              </tr>
-            </table>
-          </div>
-
-        </td>
-      </tr>
-
-      <tr>
-        <th>{'Who can see these photos?'|@translate}</th>
-        <td>
-          <select name="level" size="1">
-            {html_options options=$level_options selected=$level_options_selected}
-          </select>
-        </td>
-      </tr>
+    <div class="formField">
+      <div class="formFieldTitle">{'Drop into category'|@translate}</div>
+      
+      <label><input type="radio" name="category_type" value="existing"> {'existing category'|@translate}</label>
+      <label><input type="radio" name="category_type" value="new" checked="checked"> {'create a new category'|@translate}</label>
+
+      <div id="category_type_existing" style="display:none" class="category_selection">
+        <select class="categoryDropDown" name="category">
+          {html_options options=$category_options}
+        </select>
+      </div>
+
+      <div id="category_type_new" class="category_selection">
+        <table>
+          <tr>
+            <td>{'Parent category'|@translate}</td>
+            <td>
+              <select class="categoryDropDown" name="category_parent">
+                <option value="0">------------</option>
+                {html_options options=$category_options}
+              </select>
+            </td>
+          </tr>
+          <tr>
+            <td>{'Category name'|@translate}</td>
+            <td>
+              <input type="text" name="category_name" value="{$F_CATEGORY_NAME}"
+            </td>
+          </tr>
+        </table>
+      </div>
+    </div>
+
+    <div class="formField">
+      <div class="formFieldTitle">{'Who can see these photos?'|@translate}</div>
+
+      <select name="level" size="1">
+        {html_options options=$level_options selected=$level_options_selected}
+      </select>
+    </div>
+
+    <div class="formField">
+      <div class="formFieldTitle">{'Select files'|@translate}</div>
 
 {if $upload_mode eq 'html'}
-      <tr>
-        <td colspan="2">
-          <strong>{'Select files'|@translate}</strong>
-          <p>{'JPEG files or ZIP archives with JPEG files inside please.'|@translate}</p>
-          <div id="uploadBoxes">
-            <p><input class="file" type="file" size="70" name="image_upload[]" /></p>
-          </div>
-          <div id="addUploadBox">
-            <a href="javascript: UpdateUploadSlots()">{'+ Add an upload box'|@translate}</a>
-          </div>
-        </td>
-      </tr>
-      
-    </table>
+    <p><a href="{$switch_url}">{'... or switch to the multiple files form'|@translate}</a></p>
+
+      <p>{'JPEG files or ZIP archives with JPEG files inside please.'|@translate}</p>
+
+      <div id="uploadBoxes">
+        <p><input class="file" type="file" size="60" name="image_upload[]" /></p>
+      </div>
+      <div id="addUploadBox">
+        <a href="javascript: UpdateUploadSlots()">{'+ Add an upload box'|@translate}</a>
+      </div>
     
+    </div> <!-- formField -->
+
     <p>
       <input class="submit" type="submit" name="submit_upload" value="{'Upload'|@translate}" {$TAG_INPUT_ENABLED}/>
@@ -178,6 +199,9 @@
     </p>
 
+    <p><a href="{$switch_url}">{'... or switch to the old style form'|@translate}</a></p>
+
     <div id="fileQueue"></div>
 
+    </div> <!-- formField -->
     <p>
       <input class="submit" type="button" value="{'Upload'|@translate}" onclick="javascript:jQuery('#uploadify').uploadifyUpload()"/>
Index: extensions/upload_form/uploadify/uploadify.css
===================================================================
--- extensions/upload_form/uploadify/uploadify.css	(revision 4887)
+++ extensions/upload_form/uploadify/uploadify.css	(revision 4895)
@@ -25,5 +25,5 @@
 #fileQueue {
         width: 420px;
-        height: 300px;
+        max-height: 300px;
         overflow: auto;
         border: 1px solid #333;