Index: extensions/NBC_UserAdvManager/trunk/admin/global.tpl
===================================================================
--- extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 4927)
+++ extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 4934)
@@ -108,5 +108,5 @@
         </ul>
 
-      	<li><label>{'UserAdvManager_Confirm_Mail'|@translate}</label><br><br>
+      	<li><label class="cluetip" title="{'UAM_confirmmailTitle'|translate}|{'UAM_confirmmailTitle_d'|translate}">{'UserAdvManager_Confirm_Mail'|@translate}</label><br><br>
           <input type="radio" value="false" {$UserAdvManager_CONFIRM_MAIL_FALSE} name="UserAdvManager_Confirm_Mail">{'UserAdvManager_Confirm_Mail_false'|@translate}<br>
           <input type="radio" value="true" {$UserAdvManager_CONFIRM_MAIL_TRUE} name="UserAdvManager_Confirm_Mail">{'UserAdvManager_Confirm_Mail_true'|@translate}<br><br>
@@ -116,14 +116,14 @@
 {if $UserAdvManager_CONFIRM_MAIL_TRUE}
   {if $UserAdvManager_ERROR_REPORTS2}     
-          <li><label>{'UserAdvManager_ConfirmMail_Text'|@translate}</label><br><br>
+          <li><label class="cluetip" title="{'UAM_confirmtxtTitle'|translate}|{'UAM_confirmtxtTitle_d'|translate}">{'UserAdvManager_ConfirmMail_Text'|@translate}</label><br><br>
             <textarea name="UserAdvManager_ConfirmMail_Text" id="UserAdvManager_ConfirmMail_Text" rows="10" cols="80" style="color: red" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_TEXT}</textarea><br><br>
           </li>
   {else}
-          <li><label>{'UserAdvManager_ConfirmMail_Text'|@translate}</label><br><br>
+          <li><label class="cluetip" title="{'UAM_confirmtxtTitle'|translate}|{'UAM_confirmtxtTitle_d'|translate}">{'UserAdvManager_ConfirmMail_Text'|@translate}</label><br><br>
             <textarea name="UserAdvManager_ConfirmMail_Text" id="UserAdvManager_ConfirmMail_Text" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_TEXT}</textarea><br><br>
           </li>
   {/if}
 {else}
-          <li><label>{'UserAdvManager_ConfirmMail_Text'|@translate}</label><br><br>
+          <li><label class="cluetip" title="{'UAM_confirmtxtTitle'|translate}|{'UAM_confirmtxtTitle_d'|translate}">{'UserAdvManager_ConfirmMail_Text'|@translate}</label><br><br>
             <textarea name="UserAdvManager_ConfirmMail_Text" id="UserAdvManager_ConfirmMail_Text" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_TEXT}</textarea><br><br>
           </li>
@@ -133,7 +133,6 @@
         <br><hr><br>
         
-        <li><label>{'UserAdvManager_Confirm_Group'|@translate}</label><br><br>
-        
-          <div style="text-align: center; font-size: 1.1em; color: red;"><b>{'UserAdvManager_Confirm_Group_Notice'|@translate}</b></div><br>
+        <li>
+          <label class="cluetip" title="{'UAM_confirmgrpTitle'|translate}|{'UAM_confirmgrpTitle_d'|translate}">{'UserAdvManager_Confirm_Group'|@translate}</label><br><br>
         </li>
 
@@ -141,5 +140,5 @@
           <li><label>{'UserAdvManager_No_Confirm_Group'|@translate}</label><br>
             <div style="margin-left: 2em">{html_options name="UserAdvManager_No_Confirm_Group" options=$No_Confirm_Group.group_options selected=$No_Confirm_Group.group_selected}</div><br><br>
-            </li>
+          </li>
       
           <li><label>{'UserAdvManager_Validated_Group'|@translate}</label><br>
@@ -148,6 +147,6 @@
         </ul>
 
-        <li><label>{'UserAdvManager_Confirm_Status'|@translate}</label><br><br>
-          <div style="text-align: center; font-size: 1.1em; color: red;"><b>{'UserAdvManager_Confirm_Status_Notice'|@translate}</b></div><br>
+        <li>
+          <label class="cluetip" title="{'UAM_confirmstatTitle'|translate}|{'UAM_confirmstatTitle_d'|translate}">{'UserAdvManager_Confirm_Status'|@translate}</label><br><br>
         </li>
 
@@ -164,10 +163,10 @@
         <br><hr><br>
 
-        <li><label>{'UserAdvManager_ConfirmMail_Info'|@translate}</label><br><br>
+        <li><label class="cluetip" title="{'UAM_validationlimitTitle'|translate}|{'UAM_validationlimitTitle_d'|translate}">{'UserAdvManager_ValidationLimit_Info'|@translate}</label><br><br>
           <input type="radio" value="false" {$UserAdvManager_CONFIRMMAIL_TIMEOUT_FALSE} name="UserAdvManager_ConfirmMail_TimeOut"> {'UserAdvManager_ConfirmMail_TimeOut_false'|@translate}<br>
           <input type="radio" value="true" {$UserAdvManager_CONFIRMMAIL_TIMEOUT_TRUE} name="UserAdvManager_ConfirmMail_TimeOut"> {'UserAdvManager_ConfirmMail_TimeOut_true'|@translate}<input type="text" name="UserAdvManager_ConfirmMail_Delay" value="{$UserAdvManager_CONFIRMMAIL_DELAY}" size="5" style="text-align: center;"><br><br>
         </li>
     
-        <li><label>{'UserAdvManager_ConfirmMail_Remail'|@translate}</label><br>
+        <li><label class="cluetip" title="{'UAM_remailTitle'|translate}|{'UAM_remailTitle_d'|translate}">{'UserAdvManager_ConfirmMail_Remail'|@translate}</label><br><br>
           <input type="radio" value="false" {$UserAdvManager_CONFIRMMAIL_REMAIL_FALSE} name="UserAdvManager_ConfirmMail_Remail"> {'UserAdvManager_ConfirmMail_Remail_false'|@translate}<br>
           <input type="radio" value="true" {$UserAdvManager_CONFIRMMAIL_REMAIL_TRUE} name="UserAdvManager_ConfirmMail_Remail"> {'UserAdvManager_ConfirmMail_Remail_true'|@translate}<br><br>
@@ -177,14 +176,14 @@
 {if $UserAdvManager_CONFIRMMAIL_REMAIL_TRUE}
   {if $UserAdvManager_ERROR_REPORTS1}
-        <li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt1'|@translate}</label><br>
+        <li><label class="cluetip" title="{'UAM_remailtxt1Title'|translate}|{'UAM_remailtxt1Title_d'|translate}">{'UserAdvManager_ConfirmMail_ReMail_Txt1'|@translate}</label><br><br>
           <textarea name="UserAdvManager_ConfirmMail_ReMail_Txt1" id="UserAdvManager_ConfirmMail_ReMail_Txt1" rows="10" cols="80" style="color: red" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT1}</textarea><br><br>
         </li>
   {else}
-        <li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt1'|@translate}</label><br>
+        <li><label class="cluetip" title="{'UAM_remailtxt1Title'|translate}|{'UAM_remailtxt1Title_d'|translate}">{'UserAdvManager_ConfirmMail_ReMail_Txt1'|@translate}</label><br><br>
           <textarea name="UserAdvManager_ConfirmMail_ReMail_Txt1" id="UserAdvManager_ConfirmMail_ReMail_Txt1" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT1}</textarea><br><br>
         </li>
   {/if}
 {else}
-        <li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt1'|@translate}</label><br>
+        <li><label class="cluetip" title="{'UAM_remailtxt1Title'|translate}|{'UAM_remailtxt1Title_d'|translate}">{'UserAdvManager_ConfirmMail_ReMail_Txt1'|@translate}</label><br><br>
           <textarea  name="UserAdvManager_ConfirmMail_ReMail_Txt1" id="UserAdvManager_ConfirmMail_ReMail_Txt1" rows="10" cols="80" readonly{$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT1}</textarea><br><br>
         </li>
@@ -193,14 +192,14 @@
 {if $UserAdvManager_CONFIRMMAIL_REMAIL_TRUE}
   {if $UserAdvManager_ERROR_REPORTS2}
-        <li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt2'|@translate}</label><br>
+        <li><label class="cluetip" title="{'UAM_remailtxt2Title'|translate}|{'UAM_remailtxt2Title_d'|translate}">{'UserAdvManager_ConfirmMail_ReMail_Txt2'|@translate}</label><br><br>
           <textarea name="UserAdvManager_ConfirmMail_ReMail_Txt2" id="UserAdvManager_ConfirmMail_ReMail_Txt2" rows="10" cols="80" style="color: red" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT2}</textarea><br>
         </li>
   {else}		
-        <li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt2'|@translate}</label><br>
+        <li><label class="cluetip" title="{'UAM_remailtxt2Title'|translate}|{'UAM_remailtxt2Title_d'|translate}">{'UserAdvManager_ConfirmMail_ReMail_Txt2'|@translate}</label><br><br>
           <textarea name="UserAdvManager_ConfirmMail_ReMail_Txt2" id="UserAdvManager_ConfirmMail_ReMail_Txt2" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT2}</textarea><br>
         </li>
   {/if}
 {else}
-        <li><label>{'UserAdvManager_ConfirmMail_ReMail_Txt2'|@translate}</label><br>
+        <li><label class="cluetip" title="{'UAM_remailtxt2Title'|translate}|{'UAM_remailtxt2Title_d'|translate}">{'UserAdvManager_ConfirmMail_ReMail_Txt2'|@translate}</label><br><br>
           <textarea name="UserAdvManager_ConfirmMail_ReMail_Txt2" id="UserAdvManager_ConfirmMail_ReMail_Txt2" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UserAdvManager_CONFIRMMAIL_REMAIL_TXT2}</textarea><br><br>
         </li>
@@ -222,27 +221,22 @@
     <fieldset>
       <ul>
-        <li><label>{'UserAdvManager_GhostTracker'|@translate}</label><br><br>
+        <li><label class="cluetip" title="{'UAM_ghosttrackerTitle'|translate}|{'UAM_ghosttrackerTitle_d'|translate}">{'UserAdvManager_GhostTracker'|@translate}</label><br><br>
           <input type="radio" value="false" {$UserAdvManager_GHOSTRACKER_FALSE} name="UserAdvManager_GhostUser_Tracker">{'UserAdvManager_GhostTracker_false'|@translate}<br>
-          <input type="radio" value="true" {$UserAdvManager_GHOSTRACKER_TRUE} name="UserAdvManager_GhostUser_Tracker">{'UserAdvManager_GhostTracker_true'|@translate}<input type="text" name="UserAdvManager_GhostTracker_DayLimit" value="{$UserAdvManager_GHOSTRACKER_DAYLIMIT}" size="5" style="text-align: center;">
-          <br>{'UserAdvManager_GhostTracker_Notice1'|@translate}<br>
-        </li>
-{if $UserAdvManager_GHOSTRACKER_TRUE}
-        <div style="text-align: left; color: green;"><b>{'UserAdvManager_GhostTracker_Notice'|@translate}</b></div>
-        <br>
-{/if}
-        <br>
+          <input type="radio" value="true" {$UserAdvManager_GHOSTRACKER_TRUE} name="UserAdvManager_GhostUser_Tracker">{'UserAdvManager_GhostTracker_true'|@translate}<input type="text" name="UserAdvManager_GhostTracker_DayLimit" value="{$UserAdvManager_GHOSTRACKER_DAYLIMIT}" size="5" style="text-align: center;"><br><br>
+        </li>
+        
         <ul>
 {if $UserAdvManager_GHOSTRACKER_TRUE}
   {if $UserAdvManager_ERROR_REPORTS3}
-          <li><label>{'UserAdvManager_GhostTracker_ReminderText'|@translate}</label><br><br>
+          <li><label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">{'UserAdvManager_GhostTracker_ReminderText'|@translate}</label><br><br>
             <textarea name="UserAdvManager_GhostTracker_ReminderText" id="UserAdvManager_GhostTracker_ReminderText" rows="10" cols="80" style="color: red" {$TAG_INPUT_ENABLED}>{$UserAdvManager_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
           </li>
   {else}
-          <li><label>{'UserAdvManager_GhostTracker_ReminderText'|@translate}</label><br><br>
+          <li><label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">{'UserAdvManager_GhostTracker_ReminderText'|@translate}</label><br><br>
             <textarea name="UserAdvManager_GhostTracker_ReminderText" id="UserAdvManager_GhostTracker_ReminderText" rows="10" cols="80" {$TAG_INPUT_ENABLED}>{$UserAdvManager_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
           </li>
   {/if}
 {else}
-          <li><label>{'UserAdvManager_GhostTracker_ReminderText'|@translate}</label><br><br>
+          <li><label class="cluetip" title="{'UAM_gttextTitle'|translate}|{'UAM_gttextTitle_d'|translate}">{'UserAdvManager_GhostTracker_ReminderText'|@translate}</label><br><br>
             <textarea name="UserAdvManager_GhostTracker_ReminderText" id="UserAdvManager_GhostTracker_ReminderText" rows="10" cols="80" readonly {$TAG_INPUT_ENABLED}>{$UserAdvManager_GHOSTRACKER_REMINDERTEXT}</textarea><br><br>
           </li>
@@ -250,10 +244,10 @@
         </ul>
     
-        <li><label>{'UserAdvManager_Add_LastVisit_Column'|@translate}</label><br><br>
-          <input type="radio" value="false" {$UserAdvManager_ADDLASTVISIT_FALSE} name="UserAdvManager_Add_LastVisit_Column">{'UserAdvManager_Add_LastVisit_Column_false'|@translate}<br>
-          <input type="radio" value="true" {$UserAdvManager_ADDLASTVISIT_TRUE} name="UserAdvManager_Add_LastVisit_Column">{'UserAdvManager_Add_LastVisit_Column_true'|@translate}<br><br>
-        </li>
-
-        <li><label>{'UserAdvManager_No_Comment_Anonymous'|@translate}</label><br><br>
+        <li><label class="cluetip" title="{'UAM_lastvisitTitle'|translate}|{'UAM_lastvisitTitle_d'|translate}">{'UserAdvManager_LastVisit'|@translate}</label><br><br>
+          <input type="radio" value="false" {$UserAdvManager_ADDLASTVISIT_FALSE} name="UserAdvManager_Add_LastVisit_Column">{'UserAdvManager_LastVisit_false'|@translate}<br>
+          <input type="radio" value="true" {$UserAdvManager_ADDLASTVISIT_TRUE} name="UserAdvManager_Add_LastVisit_Column">{'UserAdvManager_LastVisit_true'|@translate}<br><br>
+        </li>
+
+        <li><label class="cluetip" title="{'UAM_commentTitle'|translate}|{'UAM_commentTitle_d'|translate}">{'UserAdvManager_No_Comment_Anonymous'|@translate}</label><br><br>
           <input type="radio" value="false" {$UserAdvManager_NO_COMMENT_ANO_FALSE} name="UserAdvManager_No_Comment_Anonymous">{'UserAdvManager_No_Comment_Anonymous_false'|@translate}<br>
           <input type="radio" value="true" {$UserAdvManager_NO_COMMENT_ANO_TRUE} name="UserAdvManager_No_Comment_Anonymous">{'UserAdvManager_No_Comment_Anonymous_true'|@translate}<br><br>
@@ -266,2 +260,15 @@
 <p><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} >&nbsp;<input class="submit" type="submit" value="{'audit'|@translate}" name="audit"></p>
 </form>
+
+
+<div id="instructionTips" class="instructionBlock" >
+    
+  <div id="Tips_header" class="instructionBlockHeaderCollapsed" onclick="blockToggleDisplay('Tips_header', 'Tips')">
+    <span class="cluetip" title="{'UAM_tipsTitle'|translate}|{'UAM_tipsTitle_d'|translate}">{'UserAdvManager_Title4'|@translate}</span>
+  </div>
+  
+  <div id="Tips" class="instructionBlockContent" style="display:none">
+    <fieldset>
+    </fieldset>
+  </div>
+</div>