Index: /extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 4947)
+++ /extensions/NBC_UserAdvManager/trunk/admin/UserAdvManager_admin.php	(revision 4948)
@@ -310,4 +310,5 @@
     /* Plugin version inserted */
     'UAM_VERSION'                             => $version,
+    'NBC_UAM_PATH'                            => NBC_UAM_PATH,
 		'UserAdvManager_MAIL_INFO_TRUE'           => $conf_nbc_UserAdvManager[0]=='true' ?  'checked="checked"' : '' ,
 		'UserAdvManager_MAIL_INFO_FALSE'          => $conf_nbc_UserAdvManager[0]=='false' ?  'checked="checked"' : '' ,
@@ -353,4 +354,5 @@
 	  $template->assign(
 	  array(
+    'NBC_UAM_PATH'                              => NBC_UAM_PATH,
 		'UserAdvManager_CONFIRMMAIL_TIMEOUT_TRUE'		=> $conf_nbc_UserAdvManager_ConfirmMail[0]=='true' ?  'checked="checked"' : '' ,
 		'UserAdvManager_CONFIRMMAIL_TIMEOUT_FALSE'	=> $conf_nbc_UserAdvManager_ConfirmMail[0]=='false' ?  'checked="checked"' : '' ,
Index: /extensions/NBC_UserAdvManager/trunk/admin/global.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 4947)
+++ /extensions/NBC_UserAdvManager/trunk/admin/global.tpl	(revision 4948)
@@ -11,4 +11,6 @@
 </script>
 
+{html_head}<link rel="stylesheet" type="text/css" href="{$NBC_UAM_PATH}admin/uam.css">{/html_head}
+
 <div class="titrePage">
   <h2>{'Title_Tab'|@translate} {$UAM_VERSION}<br>{'SubTitle1'|@translate}</h2>
@@ -23,4 +25,7 @@
   <div id="config1_header" class="instructionBlockHeaderCollapsed" onclick="blockToggleDisplay('config1_header', 'Config1')">
     <span class="cluetip" title="{'UAM_restricTitle'|translate}|{'UAM_restricTitle_d'|translate}">{'UserAdvManager_Title1'|@translate}</span>
+    <!--
+<script type="text/javascript">var nu_para = 1</script>
+-->
   </div>
 
@@ -81,4 +86,7 @@
   <div id="config2_header" class="instructionBlockHeaderCollapsed" onclick="blockToggleDisplay('config2_header', 'Config2')">
     <span class="cluetip" title="{'UAM_confirmTitle'|translate}|{'UAM_confirmTitle_d'|translate}">{'UserAdvManager_Title2'|@translate}</span>
+    <!--
+<script type="text/javascript">var nu_para = 2</script>
+-->
   </div>
   
@@ -213,7 +221,10 @@
 
 <div id="instructionConfig3" class="instructionBlock" >
-    
+
   <div id="config3_header" class="instructionBlockHeaderCollapsed" onclick="blockToggleDisplay('config3_header', 'Config3')">
     <span class="cluetip" title="{'UAM_miscTitle'|translate}|{'UAM_miscTitle_d'|translate}">{'UserAdvManager_Title3'|@translate}</span>
+    <!--
+<script type="text/javascript">var nu_para = 3</script>
+-->
   </div>
   
@@ -259,6 +270,4 @@
 
 <p><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED} >&nbsp;<input class="submit" type="submit" value="{'audit'|@translate}" name="audit"></p>
-</form>
-
 
 <div id="instructionTips" class="instructionBlock" >
@@ -270,5 +279,21 @@
   <div id="Tips" class="instructionBlockContent" style="display:none">
     <fieldset>
+      <div id="Tips1_header" class="instructionBlockHeaderCollapsed" onclick="blockToggleDisplay('Tips1_header', 'Tips1')">
+        <span>{'UserAdvManager_Tips1'|@translate}</span>
+      </div>
+      <div id="Tips1" class="instructionBlockContent" style="display:none">
+        <fieldset>
+          {'UserAdvManager_Tips1_txt'|@translate}
+        </fieldset>
+      </div>
     </fieldset>
   </div>
 </div>
+</form>
+
+<!--
+<script type="text/javascript">
+var n=nu_para ;
+blockToggleDisplay('config'+n+'_header', 'Config'+n);
+</script>
+-->
Index: /extensions/NBC_UserAdvManager/trunk/admin/uam.css
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/admin/uam.css	(revision 4948)
+++ /extensions/NBC_UserAdvManager/trunk/admin/uam.css	(revision 4948)
@@ -0,0 +1,4 @@
+label .cluetip
+{
+  font-weight:bold;
+}
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 4947)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 4948)
@@ -28,5 +28,5 @@
 $lang['UAM_casenTitle'] = 'Sensibilité à la casse des noms d\'utilisateurs';
 $lang['UAM_casenTitle_d'] = 'Par défaut, Piwigo est insensible à la casse : majuscules et minuscules sont considérées comme des lettres différentes dans les noms choisis par les utilisateurs à l\'inscription. Ainsi, &quot;Toto&quot;,  &quot;toto&quot; et &quot;TOTO&quot; peuvent être 3 utilisateurs différents.<br><br>
-<b style=&quot;color: green;&quot;>L\'activation de cette option permet de considérer toutes les versions de casse de &quot;toto&quot; comme un seul utilisateur. Si &quot;toto&quot; existe déjà, la création d\'un nouvel utilisateur &quot;ToTo&quot; sera refusée.</b><br><br>
+L\'activation de cette option permet de considérer toutes les versions de casse de &quot;toto&quot; comme un seul utilisateur. Si &quot;toto&quot; existe déjà, la création d\'un nouvel utilisateur &quot;ToTo&quot; sera refusée.<br><br>
 <b style=&quot;color: red;&quot;>Attention : Cette option est sans effet sur les noms d\'utilisateurs créés préalablement à son activation.</b>';
 $lang['UAM_carexcTitle'] = 'Exclusion de caractères dans les noms d\'utilisateurs';
@@ -37,53 +37,53 @@
 $lang['UAM_passwTitle_d'] = 'L\'activation de cette option rend obligatoire la saisie d\'un mot de passe  à l\'inscription, et oblige le mot de passe choisi par le visiteur à répondre à un niveau minimum de complexité. Si ce seuil n\'est pas atteint, le score réalisé et le score minimum à atteindre sont affichés, ainsi que des recommandations pour augmenter la valeur de ce score.<br><br>
 Un champ de test permet de mesurer la complexité d\'un mot de passe, et peut permettre de se faire une idée du score à définir pour une complexité personnalisée.<br><br>
-<b style=&quot;color: green;&quot;>NB: Le score d\'un mot de passe est calculé en fonction de plusieurs paramètres : longueur, types de caractères utilisés (lettres, chiffres, majuscules, minuscules, caractères spéciaux). Un score inférieur à 100 est considéré comme faible; de 100 à 500, la complexité est dans la moyenne; au-delà de 500, la sécurité est excellente.</b>';
+NB: Le score d\'un mot de passe est calculé en fonction de plusieurs paramètres : longueur, types de caractères utilisés (lettres, chiffres, majuscules, minuscules, caractères spéciaux). Un score inférieur à 100 est considéré comme faible; de 100 à 500, la complexité est dans la moyenne; au-delà de 500, la sécurité est excellente.';
 $lang['UAM_passwtestTitle'] = 'Tester la complexité d\'un mot de passe';
 $lang['UAM_passwtestTitle_d'] = 'Saisir le mot de passe à tester puis cliquer sur le bouton &quot;Calcul du score&quot; pour afficher le score calculé.';
 $lang['UAM_passwadmTitle'] = 'Renforcement des mots de passe pour les admins';
 $lang['UAM_passwadmTitle_d'] = 'Un administrateur peut créer un compte d\'utilisateur avec ou sans application de la règle de calcul de complexité.<br><br>
-<b style=&quot;color: green;&quot;>A noter : Si l\'utilisateur du compte ainsi créé désire changer de mot de passe et que le renforcement des mots de passe pour les utilisateurs est actif, il sera soumis à la règle configurée.</b>';
+A noter : Si l\'utilisateur du compte ainsi créé désire changer de mot de passe et que le renforcement des mots de passe pour les utilisateurs est actif, il sera soumis à la règle configurée.';
 $lang['UAM_mailexcTitle'] = 'Exclusion des domaines de messagerie';
 $lang['UAM_mailexcTitle_d'] = 'Par défaut, Piwigo accepte toutes les adresses de messagerie au format xxx@yyy.zz. L\'activation de cette option permet d\'exclure certains domaines selon le format : @[nom_du_domaine].[extension_du_domaine].<br><br>
-<b style=&quot;color: green;&quot;>Exemples :<br>
+Exemples :<br>
 @hotmail.com -> exclusion des adresses *@hotmail.com<br>
-@hotmail -> exclusion de toutes les adresses *@hotmail*</b>';
+@hotmail -> exclusion de toutes les adresses *@hotmail*';
 $lang['UAM_infomailTitle'] = 'Email d\'information';
 $lang['UAM_infomailTitle_d'] = 'Cette option permet d\'automatiser l\'envoi d\'un email d\'information à un utilisateur lorsqu\'il s\'inscrit ou lorsqu\'il modifie son mot de passe ou son adresse de messagerie dans son profil.<br>
-<b style=&quot;color: green;&quot;>Le contenu du message envoyé est composé d\'une partie personnalisable permettant d\'introduire un petit texte d\'accueil et d\'une partie fixe indiquant le login, mot de passe et adresse email de l\'utilisateur.</b>';
+Le contenu du message envoyé est composé d\'une partie personnalisable permettant d\'introduire un petit texte d\'accueil et d\'une partie fixe indiquant le login, mot de passe et adresse email de l\'utilisateur.';
 $lang['UAM_infotxtTitle'] = 'Personnalisation de l\'email d\'information';
 $lang['UAM_infotxtTitle_d'] = 'Saisissez ici le texte d\'introduction que vous souhaitez faire apparaitre dans l\'email d\'information.<br>
-<b style=&quot;color: green;&quot;>Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.</b><br><br>
+Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
 <b style=&quot;color: red;&quot;>La modification du texte n\'est possible QUE si l\'option &quot;Email d\'information&quot; est activée.</b>';
 $lang['UAM_confirmmailTitle'] = 'Confirmation d\'inscription';
 $lang['UAM_confirmmailTitle_d'] = 'Cette option permet d\'obliger un utilisateur qui s\'inscrit à valider son inscription en cliquant sur un lien reçu dans un email envoyé au moment de son inscription.<br><br>
 L\'email est composé d\'une partie personnalisable permettant d\'introduire un petit texte d\'accueil et d\'une partie fixe comportant le lien d\'activation qui est généré à partir d\'une clef aléatoire que l\'on peut éventuellement régénérer via l\'onglet &quot;Suivi des validations&quot;.<br><br>
-<b style=&quot;color: green;&quot;>Cette option s\'emploie généralement avec  l\'attribution automatique de groupe et/ou de statuts. Par exemple, un utilisateur qui n\'a pas validé son inscription sera versé dans un groupe d\'utilisateurs spécifique (comportant ou non des restrictions sur la galerie) alors qu\'un utilisateur qui a validé son inscription sera versé dans un groupe &quot;normal&quot;</b>
+Cette option s\'emploie généralement avec  l\'attribution automatique de groupe et/ou de statuts. Par exemple, un utilisateur qui n\'a pas validé son inscription sera versé dans un groupe d\'utilisateurs spécifique (comportant ou non des restrictions sur la galerie) alors qu\'un utilisateur qui a validé son inscription sera versé dans un groupe &quot;normal&quot;
 ';
 $lang['UAM_confirmtxtTitle'] = 'Personnalisation de l\'email de confirmation';
 $lang['UAM_confirmtxtTitle_d'] = 'Saisissez ici le texte d\'introduction que vous souhaitez faire apparaitre dans l\'email de confirmation d\'inscription.<br>
-<b style=&quot;color: green;&quot;>Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.</b><br><br>
+Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
 <b style=&quot;color: red;&quot;>La modification du texte n\'est possible QUE si l\'option &quot;Confirmation d\'inscription&quot; est activée.</b>';
 $lang['UAM_confirmgrpTitle'] = 'Groupes de validation';
 $lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>ATTENTION : L\'utilisation des groupes de validation nécessite que vous ayez créé au moins un groupe d\'utilisateurs et qu\'il soit défini &quot;par défaut&quot; dans la gestion des groupes d\'utilisateurs de Piwigo.</b><br><br>
-<b style=&quot;color: green;&quot;>Les groupes de validation sont à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;</b>';
+Les groupes de validation sont à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;';
 $lang['UAM_confirmstatTitle'] = 'Statuts de validation';
 $lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color: red;&quot;>ATTENTION : L\'utilisation des statuts de validation nécessite que vous ayez conservé l\'utilisateur &quot;Guest&quot; pour le paramétrage par défaut (modèle) pour les nouveaux inscrits. A noter : Vous pouvez définir n\'importe quel autre utilisateur comme modèle pour les nouveaux inscrits. Reportez-vous à la documentation de Piwigo pour plus de détails.</b><br><br>
-<b style=&quot;color: green;&quot;>Les groupes de validation sont à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;</b>';
+Les groupes de validation sont à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;';
 $lang['UAM_validationlimitTitle'] = 'Délai de validation limité';
 $lang['UAM_validationlimitTitle_d'] = 'Cette option, permet de limiter la durée de validité des clef de validation envoyées par email aux nouveaux inscrits. Les visiteurs qui s\'inscriront auront x jours de délai pour valider leur inscription. Passé ce délai, le lien de validation sera expiré.<br><br>
-<b style=&quot;color: green;&quot;>Cette option est à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;</b>';
+Cette option est à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;';
 $lang['UAM_remailTitle'] = 'Rappel des inscrits non validés';
 $lang['UAM_remailTitle_d'] = 'Cette option permet d\'envoyer un email de rappel aux utilisateurs inscrits mais n\'ayant pas validé leur inscription dans les temps. Elle fonctionne donc conjointement avec l\'option &quot;Confirmation d\'inscription&quot;<br><br>
-<b style=&quot;color: green;&quot;>2 types d\'email peuvent être envoyés : Avec ou sans régénération de la clef de validation. En fonction du cas, le contenu  des emails peut être personnalisé.</b><br><br>
-<b style=&quot;color: green;&quot;>Reportez-vous à l\'onglet &quot;Suivi des validations&quot;.</b>';
+2 types d\'email peuvent être envoyés : Avec ou sans régénération de la clef de validation. En fonction du cas, le contenu  des emails peut être personnalisé.<br><br>
+Reportez-vous à l\'onglet &quot;Suivi des validations&quot;.';
 $lang['UAM_remailtxt1Title'] = 'Message de rappel avec regénération de clé';
 $lang['UAM_remailtxt1Title_d'] = 'Saisissez ici le texte d\'introduction que vous souhaitez faire apparaitre dans l\'email de rappel, en plus de la clef de validation régénérée.<br><br>
-<b style=&quot;color: green;&quot;>Si laissé vide, le mail de rappel ne comportera que le lien de validation. Il est donc vivement conseillé de saisir un petit texte explicatif. (NB : Le texte pré-renseigné à l\'installation du plugin est donné à titre d\'exemple)<br><br>
-Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.</b><br><br>
+Si laissé vide, le mail de rappel ne comportera que le lien de validation. Il est donc vivement conseillé de saisir un petit texte explicatif. (NB : Le texte pré-renseigné à l\'installation du plugin est donné à titre d\'exemple)<br><br>
+Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
 <b style=&quot;color: red;&quot;>La modification du texte n\'est possible QUE si l\'option &quot;Rappel des inscrits non validés&quot; est activée.</b>';
 $lang['UAM_remailtxt2Title'] = 'Message de rappel sans regénération de clé';
 $lang['UAM_remailtxt2Title_d'] = 'Saisissez ici le texte d\'introduction que vous souhaitez faire apparaitre dans l\'email de rappel, sans la clef de validation régénérée.<br><br>
-<b style=&quot;color: green;&quot;>Si laissé vide, le mail de rappel sera vide. Il est donc vivement conseillé de saisir un petit texte explicatif. (NB : Le texte pré-renseigné à l\'installation du plugin est donné à titre d\'exemple)<br><br>
-Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.</b><br><br>
+Si laissé vide, le mail de rappel sera vide. Il est donc vivement conseillé de saisir un petit texte explicatif. (NB : Le texte pré-renseigné à l\'installation du plugin est donné à titre d\'exemple)<br><br>
+Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
 <b style=&quot;color: red;&quot;>La modification du texte n\'est possible QUE si l\'option &quot;Rappel des inscrits non validés&quot; est activée.</b>';
 $lang['UAM_ghosttrackerTitle'] = 'Gestion des visiteurs fantômes';
@@ -92,5 +92,5 @@
 $lang['UAM_gttextTitle'] = 'Message de rappel Ghost Tracker';
 $lang['UAM_gttextTitle_d'] = 'Saisissez ici le texte que vous souhaitez faire apparaitre dans l\'email de rappel pour inciter l\'utilisateur à revenir visiter votre galerie (NB: Le texte pré-renseigné à l\'installation du plugin est donné à titre d\'exemple).<br><br>
-<b style=&quot;color: green;&quot;>Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.</b><br><br>
+Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.<br><br>
 <b style=&quot;color: red;&quot;>La modification du texte n\'est possible QUE si l\'option &quot;Gestion des visiteurs fantômes&quot; est activée.</b>';
 $lang['UAM_lastvisitTitle'] = 'Suivi des utilisateurs inscrits';
@@ -100,3 +100,4 @@
 $lang['UAM_tipsTitle'] = 'Astuces et exemples';
 $lang['UAM_tipsTitle_d'] = 'Astuces et exemples divers d\'utilisation';
+
 ?>
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 4947)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 4948)
@@ -220,4 +220,61 @@
 $lang['UserAdvManager_No_Comment_Anonymous_false'] = ' Désactiver (valeur par défaut)';
 
+$lang['UserAdvManager_Tips1'] = 'Inscriptions avec validation par email et message d\'avertissement sur la page d\'accueil de Piwigo';
+$lang['UserAdvManager_Tips1_txt'] = '
+          <ul>
+            <li>
+Les ingrédients nécessaires:<br>
+- 2 groupes d\'utilisateurs Piwigo au minimum : &quot;Attente&quot; pour les visiteur en attente de validation et &quot;Validés&quot; pour les visiteurs ayant validé leur inscription<br>
+- Le plugin NBC_UAM<br>
+- Le plugin PWG Stuffs<br>
+- Eventuellement le plugin Extended Description (pour le support multi-langues)
+            </li>
+<br><br>
+            <li>
+La recette :<br>
+            <ul>
+              <li>
+Préambule : On se place dans le cas d\'une galerie privée ou semi-privée (c\'est à dire qu\'une petite partie des catégories est accessible par les Guests et que les inscrits peuvent tout voir). On considère que les plugins requis sont installés (faut-il le rappeler ?).<br><br>
+              </li>
+              <li>
+N\'attribuer au groupe &quot;Attente&quot; aucune permission sur les catégories privées<br><br>
+              </li>
+              <li>
+Attribuer au groupe &quot;Validés&quot; toutes les permissions sur les catégories privées<br><br>
+              </li>
+              <li>
+Dans le plugin NBC_UAM :
+              <ol>
+                <li>Activer la confirmation d\'inscription</li>
+                <li>Dans le champ sous &quot;Personnalisation de l\'email confirmation&quot;, saisir un texte additionnel d\'explication qui sera joint au mail de confirmation d\'inscription. Eventuellement, il est possible d\'utiliser les balises de langues implémentées par le plugin Extended Description</li>
+                <li>Dans la liste &quot;Groupe pour les utilisateurs n\'ayant pas validé leur inscription&quot;, sélectionner le groupe &quot;Attente&quot;</li>
+                <li>Dans la liste &quot;Groupe pour les utilisateurs ayant validé leur inscription&quot;, sélectionner le groupe &quot;Validés&quot;</li>
+                <li>Enregistrer la configuration du plugin</li>
+              </ol>
+              </li>
+<br><br>
+              <li>
+Dans le plugin PWG Stuff :
+              <ol>
+                <li>Ajouter un nouveau module de type &quot;Bloc personnel : Affiche un bloc personnel (un édito par exemple)&quot;</li>
+                <li>Dans la configuration du module, outre son titre (ex : &quot;Inscription en attente de validation&quot;) et sa description, cocher uniquement le groupe autorisé &quot;Attente&quot;</li>
+                <li>Dans le contenu du module, saisir le texte du message d\'information voulu qui ne sera visible que des utilisateurs non validés. Là aussi, possibilité de gérer le multi-langue grâce aux balises d\'Extended Description</li>
+                <li>Valider le module</li>
+                <li>Définir sa place dans l\'affiche de la page principale de la galerie</li>
+              </ol>
+              </li>
+            </ul>
+            </li>
+<br><br>
+            <li>
+              Le résultat :<br>
+              - Un &quot;Guest&quot; arrive sur la galerie, il ne voit rien d\'autre que les catégories publiques et pas de message d\'information.<br>
+              - Il s\'inscrit. Ce qui génère un email de validation et son appartenance automatique au groupe &quot;Attente&quot;.<br>
+              - A l\'issue, il est redirigé sur la page d\'accueil de la galerie avec, cette fois, un message lui indiquant la non-validation de son inscription<br><br>
+              Il reçoit son email de validation, suit le lien prévu à cet effet dans le mail, ce qui le sort du groupe &quot;Attente&quot; et le place dans le groupe &quot;Validés&quot;. En cliquant sur le bouton &quot;Home&quot;, il est alors connecté à la galerie avec accès total aux catégories privées et sans le message d\'information.
+            </li>
+          </ul>';
+
+
 $lang['Tab_UserManager'] = 'Suivi des validations';
 